Probleme d'installation gxiso sur ubuntu 8.10

Fermé
-
 RE MAGE NOIR -
Bonjour,

voila je cherche a installer gxiso sur linux (ubuntu 8.10) mais sans succès !!

dans le read me il disent que les dépendances GTK 2.4, PyGTK 2.0 doivent être installer. je suis aller sur l'irc d'ubuntu ou l'on m'a dit que le paquet étais python-gtk2 mais le terminal me dit que c'est déjà la .

quelqu'un pourrai m'aider?

résultat de l'install :

[code]l@HP:~/Bureau/gxiso-1.5$ sudo python setup.py install
[sudo] password for l:
sh: xgettext: not found
sh: msgmerge: not found
sh: msgfmt: not found
sh: msgmerge: not found
sh: msgfmt: not found
/usr/lib/python2.5/distutils/dist.py:263: UserWarning: Unknown distribution option: 'windows'
warnings.warn(msg)
running install
running build
running build_py
running build_scripts
running install_lib
running install_scripts
changing mode of /usr/bin/gxiso.py to 755
running install_data
error: can't copy 'po/tmp/fr/gxiso.mo': doesn't exist or not a regular file/code

apparement ce serai de po/tmp/fr/gxiso.mo qui serai mort !! il pointe sur un fichier fr.mo qui n'est pas la !

j'ai copier le fr.po en fr.mo et c'est toujours pas ca ( GRRRR) voila ce que ca donne :

[code]sh: xgettext: not found
sh: msgmerge: not found
sh: msgfmt: not found
sh: msgmerge: not found
sh: msgfmt: not found
/usr/lib/python2.5/distutils/dist.py:263: UserWarning: Unknown distribution option: 'windows'
warnings.warn(msg)
running install
running build
running build_py
running build_scripts
running install_lib
running install_scripts
changing mode of /usr/bin/gxiso.py to 755
running install_data
copying po/tmp/fr/gxiso.mo -> /usr/share/locale/fr/LC_MESSAGES
error: can't copy 'po/tmp/it/gxiso.mo': doesn't exist or not a regular file/code

apparement il ne reconnnais pas linux non plus (/usr/lib/python2.5/distutils/dist.py:263: UserWarning: Unknown distribution option: 'windows')

j'ai essayer la version 1.6rc1 , la 1.4 mais rien n'y fait !! tous prenne option windows! ca doit venir de la .

si quelqu'un pouvais me guider (je suis pas encore expert linux ;))

1 réponse


voila ce que m'a repondu kassoulet pour ceux qui cherchent encore :

Oui effectivement c'est une petite erreur : comme te l'indique la
première ligne d'erreur, il manque la commande xgettext (et d'autres).
Quand cela arrive, un coup de "dpkg -S LE_NOM_DE_LA_COMMANDE" et hop
tu as ta réponse, il te manque le paquet "gettext". un petit "sudo
aptitude install gettext" va faire disparaître le problème.